Package io.papermc.paper.datapack

# Enum Class Datapack.Compatibility

java.lang.Object
java.lang.Enum<Datapack.Compatibility>
io.papermc.paper.datapack.Datapack.Compatibility

All Implemented Interfaces:
  `Serializable`, `Comparable<Datapack.Compatibility>`, `Constable`

Enclosing interface:
  Datapack

public static enum Datapack.Compatibility extends Enum<Datapack.Compatibility>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPATIBLE`
`TOO_NEW`
`TOO_OLD`

## Method Summary

Modifier and Type
Method
Description
`static Datapack.Compatibility`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Datapack.Compatibility[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOO_OLD

public static final Datapack.Compatibility TOO_OLD

### TOO_NEW

public static final Datapack.Compatibility TOO_NEW

### COMPATIBLE

public static final Datapack.Compatibility COMPATIBLE

## Method Details

### values

public static Datapack.Compatibility[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Datapack.Compatibility valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null